--
-- Author: gf
-- Date: 2015-11-04 11:05:52
-- 充值


RechargeBO = {}

function RechargeBO.parseSynGold(name, code, data)
	if handleCode(name, code, data) then return end
	
	-- gdump(data,"RechargeBO.parseSynGold")
	local awards = {
		{kind = ITEM_KIND_COIN, count = data.addGold},
		{kind = ITEM_KIND_TOPUP, count = data.addTopup}
	}

  	local RechargeAwardsView = require("app.view.RechargeAwardsView")
	RechargeAwardsView.show(awards)

	--判断是否是首充
	if UserMO.topup_ == 0 then
		local ConfirmDialog = require("app.dialog.ConfirmDialog")
		ConfirmDialog.new(CommonText[759], function()
			require("app.view.MailView").new(4):push()
		end):push()
	end

	UserBO.addUpgradeResouce(ITEM_KIND_TOPUP, data.addTopup)


	local newVip = data.vip


	if newVip > UserMO.vip_ then end --vip升级

	if VipMO.vipservice_ == 0 and newVip >= 7 then
		if GameConfig.environment == "tw_client" or GameConfig.environment == "twzf_client"
			or GameConfig.environment == "tanwanQmzz_appstore" or GameConfig.environment == "tanwanWmjq_appstore"
			or GameConfig.environment == "tanwanDgsd_appstore" or GameConfig.environment == "tanwan_dgsd2_appstore"
			or GameConfig.environment == "tanwanLmwm_appstore" or GameConfig.environment == "tanwanLwzz_appstore"
			or GameConfig.environment == "tanwanLmjq_appstore" or GameConfig.environment == "tanwanDgfy_appstore" 
			or GameConfig.environment == "self_client" or GameConfig.environment == "tanwanDwwm_appstore" 
			or GameConfig.environment == "tanwanDgjq_appstore" or GameConfig.environment == "tygsj2_pc_client" then
			require("app.dialog.FunOpenDialog").new(VIP_SERVICE_LEVEL):push()
		end
	end

	UserMO.vip_ = newVip
	
	UserBO.updateResource(ITEM_KIND_COIN, data.gold)

	Notify.notify(LOCAL_RECHARGE_UPDATE_EVENT)

	--TK统计 充值到账
	TKGameBO.onPay(GameConfig.keyId,data.serialId,data.addTopup * 10,"CNY",0, data.addGold)
	

	if ActivityBO.isValid(ACTIVITY_ID_PAY_RED_GIFT) then
		ActivityBO.trigger(ACTIVITY_ID_PAY_RED_GIFT, data.addTopup)
	end
	if ActivityBO.isValid(ACTIVITY_ID_PAY_EVERYDAY) then
		ActivityBO.trigger(ACTIVITY_ID_PAY_EVERYDAY, data.addTopup)
	end
	local ids = {ACTIVITY_ID_CONTU_PAY, ACTIVITY_ID_PAY_FOUR}  -- 连续充值
	for index = 1, #ids do
		local id = ids[index]
		if ActivityBO.isValid(id) then
			local activityContent = ActivityMO.getActivityContentById(id)
			if activityContent and activityContent.conditions and activityContent.conditions[1]
				and activityContent.conditions[1].param and type(activityContent.conditions[1].param) == "string" and (json.decode(activityContent.conditions[1].param) <= data.addTopup) then
				ActivityBO.asynGetActivityContent(nil, id)
			end
		end
	end
	if ActivityBO.isValid(ACTIVITY_ID_DAY_PAY) then -- 天天充值
		ActivityBO.trigger(ACTIVITY_ID_DAY_PAY, data.addTopup)
	end
	if ActivityBO.isValid(ACTIVITY_ID_FIRST_REBATE) then  -- 首充返利
		ActivityBO.asynGetActivityContent(nil, ACTIVITY_ID_FIRST_REBATE)
	end
	if ActivityBO.isValid(ACTIVITY_ID_RECHARGE_GIFT) then
		ActivityBO.asynGetActivityContent(nil, ACTIVITY_ID_RECHARGE_GIFT)
	end
	if ActivityBO.isValid(ACTIVITY_ID_CONTU_PAY_NEW) then -- 天天充值
		ActivityBO.asynGetActivityContent(nil, ACTIVITY_ID_CONTU_PAY_NEW)
	end
	if ActivityCenterBO.isValid(ACTIVITY_ID_AMY_REBATE) then --节日返利
		ActivityCenterBO.asynGetActivityContent(nil, ACTIVITY_ID_AMY_REBATE, 2)
	end
	--每日充值
	ActivityCenterBO.asynGetActEDayPay(function(success)
			if success then
				Notify.notify(LOCAL_DAYPAY_UPDATE_EVENT)
			end
		end)
end


function RechargeBO.init()
	-- if device.platform == "android" or device.platform == "windows" then
	-- 	RechargeMO.rechargeList = RechargeMO.getRechargeByPlatform(RECHARGE_PLATFORM_ANDROID)
	-- else
	-- 	RechargeMO.rechargeList = RechargeMO.getRechargeByPlatform(RECHARGE_PLATFORM_IOS)
	-- end
	--充值挡
	RechargeMO.rechargeList = RechargeMO.getRechargeByPlatform()

	--根据渠道判断兑换比例和币种 海外版需要增加判断
	
	--兑换比例
	GAME_PAY_RATE = 10
	GAME_PAY_CURRENCYTYPE = "CNY"
end

function RechargeBO.rechargeCallBack(payResult)
	local result = payResult
	if result == RECHARGE_RESULT_CANCEL then 
		--取消支付
	elseif result == RECHARGE_RESULT_SUCCESS then
		--支付成功
	elseif result == RECHARGE_RESULT_FAIL then
		--支付失败
	end	
end



-- function RechargeBO.getCurrencyType()
-- 	if GAME_PAY_CURRENCYTYPE == "CNY" then
-- 		return CommonText[738]
-- 	end
-- 	return GAME_PAY_CURRENCYTYPE
-- end



---触发专属客服
local personal_state = "personal_state"

function RechargeBO.getVipServState()
    --读取本地文件
    local path = CCFileUtils:sharedFileUtils():getCachePath() .. personal_state .. "_" .. UserMO.lordId_ .. "_" .. GameConfig.areaId
    local data = nil
    if io.exists(path) then
        data = io.readfile(path)
    end
    return data
end


--保存引导阶段
function RechargeBO.saveVipServState()
    local path = CCFileUtils:sharedFileUtils():getCachePath() .. personal_state .. "_" .. UserMO.lordId_ .. "_" .. GameConfig.areaId
    io.writefile(path, "1", "w+b")
end