--
-- Author: gf
-- Date: 2015-10-17 09:51:07
--

-- 主场景中活动按钮

local HomeActivityButtonView = class("HomeActivityButtonView", function()
	local node = display.newNode()
	nodeExportComponentMethod(node)
	node:setNodeEventEnabled(true)
	return node
end)

AWARD_BUTTON_INDEX_RECHARGE  	= 1 -- 首充禮包
AWARD_BUTTON_INDEX_LOGIN    	= 2 -- 探宝 登录奖励
AWARD_BUTTON_INDEX_ACTIVITY  	= 3 -- 热门活动
AWARD_BUTTON_INDEX_DAILY 		= 4 -- 日常活动
AWARD_BUTTON_INDEX_PARTYTIP		= 5 -- 军团加入
AWARD_BUTTON_INDEX_DAYPAY		= 6 -- 抽装 每日充值
AWARD_BUTTON_INDEX_FIGHT		= 7 -- 战力暴增
AWARD_BUTTON_INDEX_VIP			= 8 -- VIP体验
AWARD_BUTTON_INDEX_VIPSERVER    = 9 --VIP客服
AWARD_BUTTON_INDEX_SIGN  		= 10 -- 累计签到
AWARD_BUTTON_INDEX_WEB_RECHARGE  		= 11 -- 网页充值


function HomeActivityButtonView:ctor()
end

function HomeActivityButtonView:onEnter()
	--加载动画
	-- armature_add("animation/effect/ui_btn_activity_first.pvr.ccz", "animation/effect/ui_btn_activity_first.plist", "animation/effect/ui_btn_activity_first.xml")
	-- armature_add("animation/effect/ui_btn_activity_hot.pvr.ccz", "animation/effect/ui_btn_activity_hot.plist", "animation/effect/ui_btn_activity_hot.xml")
	-- armature_add("animation/effect/ui_btn_activity_login.pvr.ccz", "animation/effect/ui_btn_activity_login.plist", "animation/effect/ui_btn_activity_login.xml")
	-- armature_add("animation/effect/ui_btn_activity_daily.pvr.ccz", "animation/effect/ui_btn_activity_daily.plist", "animation/effect/ui_btn_activity_daily.xml")
	-- armature_add("animation/effect/ui_btn_activity_daily_recharge.pvr.ccz", "animation/effect/ui_btn_activity_daily_recharge.plist", "animation/effect/ui_btn_activity_daily_recharge.xml")
	armature_add("animation/effect/shouchong_jiangli_output.pvr.ccz", "animation/effect/shouchong_jiangli_output.plist", "animation/effect/shouchong_jiangli_output.xml")
	armature_add("animation/effect/xiaoniu.pvr.ccz", "animation/effect/xiaoniu.plist", "animation/effect/xiaoniu.xml")
	self.m_buttons = {}

	-- --登录奖励
	-- local normal = display.newSprite(IMAGE_COMMON .. "btn_activity_normal.png")
	-- local btn = ScaleButton.new(normal, handler(self, self.onLoginCallback)):addTo(self, -1)
	-- btn:setPosition(self:getContentSize().width / 2, self:getContentSize().height / 2)
	-- -- btn:setScale(0.8)
	-- self.m_buttons[AWARD_BUTTON_INDEX_LOGIN] = btn
	local hLayer = display.newNode():addTo(self,-1)
	hLayer:setContentSize(self:getContentSize())	
	local vLayer = display.newNode():addTo(self,-1)
	vLayer:setContentSize(self:getContentSize())	

	self.m_vLayer = vLayer
	self.m_hLayer = hLayer
	-- 探宝
	local normal = display.newSprite(IMAGE_COMMON .. "btn_26_normal.png")
	local selected = display.newSprite(IMAGE_COMMON .. "btn_26_selected.png")
	local btn = MenuButton.new(normal, selected, nil, handler(self, self.onExploreCallback)):addTo(hLayer, -1)
	btn:setPosition(hLayer:getContentSize().width / 2, hLayer:getContentSize().height / 2)
	self.m_buttons[AWARD_BUTTON_INDEX_LOGIN] = btn
	local name = ui.newTTFLabelWithOutline({text = CommonText[10079][AWARD_BUTTON_INDEX_LOGIN], font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
		color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
	name:setPosition(btn:getContentSize().width / 2, 10)

	-- local lightEffect = CCArmature:create("ui_btn_activity_login")
 --    lightEffect:getAnimation():playWithIndex(0)
 --    lightEffect:connectMovementEventSignal(function(movementType, movementID) end)
 --    lightEffect:setPosition(btn:getContentSize().width / 2, btn:getContentSize().height / 2)
	-- btn:addChild(lightEffect)	        

	-- --每日充值
	-- local normal = display.newSprite(IMAGE_COMMON .. "btn_activity_normal.png")
	-- local btn = ScaleButton.new(normal, handler(self, self.onDayPayCallback)):addTo(self, -1)
	-- btn:setPosition(self:getContentSize().width / 2 - 70, self:getContentSize().height / 2 + 2 )
	-- -- btn:setScale(0.8)
	-- self.m_buttons[AWARD_BUTTON_INDEX_DAYPAY] = btn

	-- 抽装
	local normal = display.newSprite(IMAGE_COMMON .. "btn_25_normal.png")
	local selected = display.newSprite(IMAGE_COMMON .. "btn_25_selected.png")
	local btn = MenuButton.new(normal, selected, nil, handler(self, self.onEquipCallback)):addTo(hLayer, -1)
	btn:setPosition(hLayer:getContentSize().width / 2 - 70, hLayer:getContentSize().height / 2 + 2 )
	-- btn:setScale(0.8)
	self.m_buttons[AWARD_BUTTON_INDEX_DAYPAY] = btn
	local name = ui.newTTFLabelWithOutline({text = CommonText[10079][AWARD_BUTTON_INDEX_DAYPAY], font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
		color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
	name:setPosition(btn:getContentSize().width / 2, 10)

	-- local lightEffect = CCArmature:create("ui_btn_activity_daily_recharge")
 --    lightEffect:getAnimation():playWithIndex(0)
 --    lightEffect:connectMovementEventSignal(function(movementType, movementID) end)
 --    lightEffect:setPosition(btn:getContentSize().width / 2, btn:getContentSize().height / 2)
	-- btn:addChild(lightEffect)	        

	-- 限时活动
	local normal = display.newSprite(IMAGE_COMMON .. "btn_62_normal.png")
	local selected = display.newSprite(IMAGE_COMMON .. "btn_62_selected.png")
	local btn = MenuButton.new(normal, selected, nil, handler(self, self.onActivityCallback)):addTo(hLayer, -1)
	btn:setPosition(hLayer:getContentSize().width / 2 - 70 * 2, hLayer:getContentSize().height / 2)
	self.m_buttons[AWARD_BUTTON_INDEX_ACTIVITY] = btn
	local name = ui.newTTFLabelWithOutline({text = CommonText[10079][AWARD_BUTTON_INDEX_ACTIVITY], font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
		color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
	name:setPosition(btn:getContentSize().width / 2, 10)

	-- --光效
	-- local lightEffect = armature_create("ui_btn_activity_hot", btn:getContentSize().width / 2, btn:getContentSize().height / 2 - 4)
 --    lightEffect:getAnimation():playWithIndex(0)
	-- btn:addChild(lightEffect)	        

	-- 日常活动
	local normal = display.newSprite(IMAGE_COMMON .. "btn_63_normal.png")
	local selected = display.newSprite(IMAGE_COMMON .. "btn_63_selected.png")
	local btn = MenuButton.new(normal, selected, nil, handler(self, self.onDailyCallback)):addTo(hLayer, -1)
	btn:setPosition(hLayer:getContentSize().width / 2 - 70 * 3, hLayer:getContentSize().height / 2)
	self.m_buttons[AWARD_BUTTON_INDEX_DAILY] = btn
	local name = ui.newTTFLabelWithOutline({text = CommonText[10079][AWARD_BUTTON_INDEX_DAILY], font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
		color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
	name:setPosition(btn:getContentSize().width / 2, 10)

	local hasFightReceived = true
	-- 战力暴增
	if UserBO.fightAddValue and UserBO.fightAddValue.isReceived == false then
		armature_add("animation/effect/zhanlibaozeng_output.pvr.ccz", "animation/effect/zhanlibaozeng_output.plist", "animation/effect/zhanlibaozeng_output.xml")
		local effect = CCArmature:create("zhanlibaozeng_output")
	    effect:getAnimation():playWithIndex(0)
	    local btn = TouchButton.new(effect, nil, nil, nil, handler(self, self.onFightCallback)):addTo(hLayer,-1)
	    btn:pos(hLayer:getContentSize().width / 2 - 70 * 4, hLayer:getContentSize().height / 2)
		self.m_buttons[AWARD_BUTTON_INDEX_FIGHT] = btn
		btn.name = ui.newTTFLabelWithOutline({text = "", font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
			color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
		btn.name:setPosition(btn:getContentSize().width / 2, 10)
		hasFightReceived = false
	end

	-- VIP体验提示
	if hasFightReceived then
		self:addExperienceVipBtn()
	end

	--勋章
	self.medalBtn = UiUtil.button("btn_69_normal.png", "btn_69_selected.png", nil, function(tag, sender)
		ManagerSound.playNormalButtonSound()
		if UserMO.level_ < 15 then
			Toast.show(string.format(CommonText[20136], 15))
			return
		end
		MedalMO.open_ = nil
		if sender.openFlag then
			sender.openFlag:removeSelf()
			sender.openFlag = nil
		end
		require("app.view.MedalBaseView").new():push()
	end):addTo(vLayer, -1):pos(0,-80)
	local name = ui.newTTFLabelWithOutline({text = CommonText[20163][1], font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
		color = cc.c3b(252, 239, 197)}):addTo(self.medalBtn)
	name:setPosition(self.medalBtn:getContentSize().width / 2, 10)
	if MedalMO.open_ then
		self:updateMedal()
	end


	
	
 


	-- 签到
	local normal = display.newSprite(IMAGE_COMMON .. "btn_sign_normal.png")
	local selected = display.newSprite(IMAGE_COMMON .. "btn_sign_selected.png")
	local btn = MenuButton.new(normal, selected, nil, handler(self, self.onSignCallback)):addTo(hLayer, -1)
	btn:setPosition(hLayer:getContentSize().width / 2 - 70, -80)
	self.m_buttons[AWARD_BUTTON_INDEX_SIGN] = btn
	local name = ui.newTTFLabelWithOutline({text = CommonText[991][1], font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
		color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
	name:setPosition(btn:getContentSize().width / 2, 10)

	--首充禮包
	local normal = display.newSprite(IMAGE_COMMON .. "btn_64_normal.png")
	local selected = display.newSprite(IMAGE_COMMON .. "btn_64_selected.png")
	local btn = MenuButton.new(normal, selected, nil, handler(self, self.onFirstRechargeCallback)):addTo(vLayer, -1)
	btn:setPosition(0, -160)
	local lightEffect = CCArmature:create("shouchong_jiangli_output")
	-- lightEffect:setScale(1.5)
    lightEffect:getAnimation():playWithIndex(0)
    lightEffect:addTo(btn):center()
	-- btn:setScale(0.8)
	self.m_buttons[AWARD_BUTTON_INDEX_RECHARGE] = btn
	local name = ui.newTTFLabelWithOutline({text = CommonText[10079][AWARD_BUTTON_INDEX_RECHARGE], font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
		color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
	name:setPosition(btn:getContentSize().width / 2, 10)
	--vip客服按钮
	if GameConfig.environment == "tw_client" or GameConfig.environment == "twzf_client"
		or GameConfig.environment == "tanwanQmzz_appstore" or GameConfig.environment == "tanwanWmjq_appstore"
		or GameConfig.environment == "tanwanDgsd_appstore" or GameConfig.environment == "tanwan_dgsd2_appstore"
		or GameConfig.environment == "tanwanLmwm_appstore" or GameConfig.environment == "tanwanLwzz_appstore"
		or GameConfig.environment == "tanwanLmjq_appstore" or GameConfig.environment == "tanwanDgfy_appstore" 
		or GameConfig.environment == "tanwanDgjq_appstore" or GameConfig.environment == "tygsj2_pc_client"
		or GameConfig.environment == "self_client" then
			local normal = display.newSprite(IMAGE_COMMON .. "icon_secretary.png")
			local selected = display.newSprite(IMAGE_COMMON .. "icon_secretary.png")
			local btn = MenuButton.new(normal, selected, nil, function ()
				ManagerSound.playNormalButtonSound();
				require("app.view.VipServiceView").new():push()
			end):addTo(vLayer, -1)
			btn:setScale(0.8)
			btn:setPosition(0, -160)
			local lightEffect = CCArmature:create("xiaoniu")
		    lightEffect:getAnimation():playWithIndex(0)
		    lightEffect:addTo(btn)
		    lightEffect:setPosition(btn:getContentSize().width / 2,0)
			self.m_buttons[AWARD_BUTTON_INDEX_VIPSERVER] = btn
			local name = ui.newTTFLabelWithOutline({text = CommonText[10079][AWARD_BUTTON_INDEX_VIPSERVER], font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
				color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
			name:setPosition(btn:getContentSize().width / 2, 10)
	end
	-- local lightEffect = CCArmature:create("ui_btn_activity_first")
 --    lightEffect:getAnimation():playWithIndex(0)
 --    lightEffect:connectMovementEventSignal(function(movementType, movementID) end)
 --    lightEffect:setPosition(btn:getContentSize().width / 2, btn:getContentSize().height / 2)
	-- btn:addChild(lightEffect)	        

	--加入军团按钮
	function onPartyCallback()
		require("app.dialog.PartyJoinTipDialog").new():push()
	end

	local normal = display.newSprite(IMAGE_COMMON .. "btn_65_normal.png")
	local selected = display.newSprite(IMAGE_COMMON .. "btn_65_selected.png")
	local btn = MenuButton.new(normal, selected, nil, onPartyCallback):addTo(vLayer, -1)
	btn:setPosition(0, -240)
	-- btn:setScale(0.8)
	self.m_buttons[AWARD_BUTTON_INDEX_PARTYTIP] = btn
	local name = ui.newTTFLabelWithOutline({text = CommonText[10079][AWARD_BUTTON_INDEX_PARTYTIP], font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
		color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
	name:setPosition(btn:getContentSize().width / 2, 10)

	-- local lightEffect = CCArmature:create("ui_btn_activity_first")
 --    lightEffect:getAnimation():playWithIndex(0)
 --    lightEffect:connectMovementEventSignal(function(movementType, movementID) end)
 --    lightEffect:setPosition(partyBtn:getContentSize().width / 2, partyBtn:getContentSize().height / 2)
	-- partyBtn:addChild(lightEffect)
	

	-- 网页充值
	if GameConfig.environment == "jq_appstore" or GameConfig.environment == "jqDgjq_appstore" or GameConfig.environment == "jqDgyz_appstore" then
		local normal = display.newSprite(IMAGE_COMMON .. "btn_special_normal.png")
		local selected = display.newSprite(IMAGE_COMMON .. "btn_special_selected.png")
		local btn = MenuButton.new(normal, selected, nil, handler(self, self.onWebRechargeCallback)):addTo(hLayer, -1)
		btn:setPosition(hLayer:getContentSize().width / 2 - 140, -80)
		-- if self.m_buttons[AWARD_BUTTON_INDEX_PARTYTIP]:isVisible() then
		-- 	btn:setPosition(hLayer:getContentSize().width / 2 - 10, -320)
		-- else
		-- 	btn:setPosition(hLayer:getContentSize().width / 2 - 10, -240)
		-- end


		self.m_buttons[AWARD_BUTTON_INDEX_WEB_RECHARGE] = btn
		local name = ui.newTTFLabelWithOutline({text = CommonText.webRecharge, font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
			color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
		name:setPosition(btn:getContentSize().width / 2, 10)

		btn:setVisible(GameConfig.enableCode == true)

		local lightEffect = CCArmature:create("shouchong_jiangli_output")
	    lightEffect:getAnimation():playWithIndex(0)
	    lightEffect:addTo(btn):center()
	end


	self.timerHandler_ = ManagerTimer.addTickListener(handler(self, self.update))
	self.m_signHandler = Notify.register(LOCAL_SIGN_UPDATE_EVENT, handler(self, self.updateTip))
	self.m_activityHandler = Notify.register(LOCLA_ACTIVITY_EVENT, handler(self, self.updateTip))
	self.m_activityCenterHandler = Notify.register(LOCLA_ACTIVITY_CENTER_EVENT, handler(self, self.updateTip))
	self.m_partyTipHandler = Notify.register(LOCAL_MYPARTY_UPDATE_EVENT, handler(self, self.updateTip))
	self.m_dayPayHandler = Notify.register(LOCAL_DAYPAY_UPDATE_EVENT, handler(self, self.updateTip))

	self.m_equipHandler = Notify.register(LOCAL_UPDATE_EQUIP_LOTTERY_EVENT, handler(self, self.updateTip))
	self.m_treasureHandler = Notify.register(LOCAL_UPDATE_TREASURE_LOTTERY_EVENT, handler(self, self.updateTip))
	self.m_fightHandler = Notify.register(LOCAL_UPDATE_FIGHT_ADD, handler(self, self.updateTip))
	self.m_vipExperienceHandler = Notify.register(LOCAL_EXPERIENCE_NOBILITY_ANCESTRY, handler(self, self.updateTip))
	self.m_rechargeHandler = Notify.register(LOCAL_RECHARGE_UPDATE_EVENT, handler(self, self.updateTip))
	self.m_medalOpenHandler = Notify.register("MEDAL_OPEN", handler(self, self.updateMedal))

	self:updateTip()
	self:update(0)
end

function HomeActivityButtonView:refresh()
	self.m_hLayer:setPositionY(300)
	self.m_vLayer:setPositionX(100)	
	transition.moveTo(self.m_hLayer, {y = 0, time=0.45, easing="BACKINOUT"})
	transition.moveTo(self.m_vLayer, {x = 0, time=0.5, easing="BACKINOUT"})	
end

function HomeActivityButtonView:addExperienceVipBtn()
	-- VIP体验提示
	if UserBO.hasExerienceVip and (UserBO.hasExerienceVip.status == false or UserBO.hasExerienceVip.timeRemaining - ManagerTimer.getTime() > 0) then
		armature_add("animation/effect/zhanlibaozeng_output.pvr.ccz", "animation/effect/zhanlibaozeng_output.plist", "animation/effect/zhanlibaozeng_output.xml")
		local effect = CCArmature:create("zhanlibaozeng_output")
	    effect:getAnimation():playWithIndex(0)
	    local btn = TouchButton.new(effect, nil, nil, nil, handler(self, self.onVipExperienceCallback)):addTo(self.m_hLayer,-1)
	    btn:pos(self.m_hLayer:getContentSize().width / 2 - 70 * 4, self.m_hLayer:getContentSize().height / 2)
		self.m_buttons[AWARD_BUTTON_INDEX_VIP] = btn
		btn.name = ui.newTTFLabelWithOutline({text = "", font = G_FONT, size = FONT_SIZE_SMALL, align = ui.TEXT_ALIGN_CENTER,
			color = cc.c3b(252, 239, 197)}):addTo(btn, 2)
		btn.name:setPosition(btn:getContentSize().width / 2, 10)
	end
end

function HomeActivityButtonView:update(dt)
	--首充礼包
	self.m_buttons[AWARD_BUTTON_INDEX_RECHARGE]:setVisible(ActivityBO.isPayFirstOpen())
	if self.m_buttons[AWARD_BUTTON_INDEX_VIPSERVER] then
		self.m_buttons[AWARD_BUTTON_INDEX_VIPSERVER]:setVisible(UserMO.vip_ >= 7)
	end
	
	-- 军团tip按钮
	self.m_buttons[AWARD_BUTTON_INDEX_PARTYTIP]:setVisible(UserMO.level_ >= 10 and UserMO.partyTipAward_ and UserMO.partyTipAward_ ~= 2)


	-- if self.m_buttons[AWARD_BUTTON_INDEX_PARTYTIP]:isVisible() then
	-- 	self.m_buttons[AWARD_BUTTON_INDEX_WEB_RECHARGE]:setPositionY(-320)
	-- else
	-- 	self.m_buttons[AWARD_BUTTON_INDEX_WEB_RECHARGE]:setPositionY(-240)
	-- end

	-- if ActivityCenterMO.activityList_[1] and ActivityCenterMO.activityList_[1].endTime then
	-- 	local cd = ActivityCenterMO.activityList_[1].endTime - ManagerTimer.getTime()
	-- 	if cd > 0 then
	-- 		self.activityCenterTimeLab:setVisible(true)
	-- 		self.timeBg:setVisible(true)
	-- 		self.activityCenterTimeLab:setString(ActivityCenterBO.formatTime(cd))
	-- 	else
	-- 		self.activityCenterTimeLab:setVisible(false)
	-- 		self.timeBg:setVisible(false)
	-- 	end
	-- else
	-- 	self.timeBg:setVisible(false)
	-- end
	
	if self.m_buttons[AWARD_BUTTON_INDEX_FIGHT] then
		local time = UserBO.getCreateNextDay() - ManagerTimer.getTime()
		if time < 0 then time = 0 end
		local s = string.format("%02d:%02d:%02d",math.floor(time / 3600) % 24,math.floor(time / 60) % 60,time % 60)
		self.m_buttons[AWARD_BUTTON_INDEX_FIGHT].name:setString(s)
	end

	if self.m_buttons[AWARD_BUTTON_INDEX_VIP] then
		local time = 0
		if UserBO.hasExerienceVip.status then
			time = UserBO.hasExerienceVip.timeRemaining
		else
			time = UserBO.getCreateRoleNextNDay(EXPERIENCE_VIP_DAYS)
		end

		time = time - ManagerTimer.getTime()
		if time < 0 then time = 0 end
		local h = math.floor(time / 3600)
		local s = ""
		if h > 99 then
			s = string.format("%d:%02d:%02d",h,math.floor(time / 60) % 60,time % 60)
		else
			s = string.format("%02d:%02d:%02d",h,math.floor(time / 60) % 60,time % 60)
		end		
		-- local s = string.format("%02d:%02d:%02d",math.floor(time / 3600),math.floor(time / 60) % 60,time % 60)
		self.m_buttons[AWARD_BUTTON_INDEX_VIP].name:setString(s)
	end

	if ActivityBO.hasSign() then      
	    UiUtil.showTip(self.m_buttons[AWARD_BUTTON_INDEX_SIGN], 1, 50, 50)
	else
	    UiUtil.unshowTip(self.m_buttons[AWARD_BUTTON_INDEX_SIGN])
	end 
end


function HomeActivityButtonView:onFirstRechargeCallback(tag, sender)
	ManagerSound.playNormalButtonSound()
	-- local ActivityView = require("app.view.ActivityView")
	-- ActivityView.new():push()
	require("app.dialog.FirstPayDialog").new():push()
end

function HomeActivityButtonView:onExploreCallback(tag, sender)
	ManagerSound.playNormalButtonSound()
	require("app.view.LotteryTreasureView").new():push()
end

-- function HomeActivityButtonView:onLoginCallback(tag, sender)
-- 	ManagerSound.playNormalButtonSound()
-- 	if SignMO.dailyLogin_.display then
-- 		local DailyLoginDialog = require("app.dialog.DailyLoginDialog")
-- 		DailyLoginDialog.new():push()
-- 	else
-- 		UiDirector.push(require("app.view.SignView").new())
-- 	end
-- end

function HomeActivityButtonView:onActivityCallback(tag, sender)
	ManagerSound.playNormalButtonSound()
	UiDirector.push(require("app.view.ActivityCenterView").new())
	-- if #ActivityCenterMO.activityList_ > 0 then
	-- 	UiDirector.push(require("app.view.ActivityCenterView").new())
	-- else
	-- 	UiDirector.push(require("app.view.LotteryTreasureView").new())
	-- end
end

function HomeActivityButtonView:onDailyCallback(tag, sender)
	ManagerSound.playNormalButtonSound()
	-- 至少有一个兑换码
	local ActivityView = require("app.view.ActivityView")
	ActivityView.new():push()
end

function HomeActivityButtonView:onSignCallback(tag, sender)
	ManagerSound.playNormalButtonSound()
	require("app.dialog.ActivityDaySign").new():push()
end


function HomeActivityButtonView:onWebRechargeCallback(tag, sender)
	ManagerSound.playNormalButtonSound()
	local url = "http://dg.zs4game.com/?serv_id=" .. GameConfig.areaId .. "&usr_name=" .. UserMO.nickName_
	ServiceBO.gotoURL(url)
end 

-- function HomeActivityButtonView:onDayPayCallback(tag, sender)
-- 	ManagerSound.playNormalButtonSound()
-- 	Loading.getInstance():show()
-- 	ActivityCenterBO.asynGetActEDayPay(function(success)
-- 		Loading.getInstance():unshow()
-- 			if success then
-- 				UiDirector.push(require("app.dialog.ActivityDayPayDialog").new())
-- 			end
-- 		end)
-- end

function HomeActivityButtonView:onFightCallback(tag, sender)
	require("app.dialog.FightAddDialog").new():push()
end

function HomeActivityButtonView:onVipExperienceCallback(tag, sender)
	require("app.dialog.VipExperienceDialog").new():push()
end

function HomeActivityButtonView:onEquipCallback(tag, sender)
	ManagerSound.playNormalButtonSound()
	UiDirector.push(require("app.view.LotteryEquipView").new())
end

function HomeActivityButtonView:updateMedal()
	MedalMO.open_ = true
	if self.medalBtn.openFlag then
		return
	end
	armature_add("animation/effect/ui_guide.pvr.ccz", "animation/effect/ui_guide.plist", "animation/effect/ui_guide.xml")
	local arrowPic = CCArmature:create("ui_guide")
    arrowPic:getAnimation():play("start")
    arrowPic:connectMovementEventSignal(function(movementType, movementID) end)
    arrowPic:addTo(self.medalBtn):center()
    arrowPic:getAnimation():play("dian")
    self.medalBtn.openFlag = arrowPic
end

function HomeActivityButtonView:onExit()
	if self.timerHandler_ then
		ManagerTimer.removeTickListener(self.timerHandler_)
		self.timerHandler_ = nil
	end

	Notify.unregister(self.m_signHandler)
	self.m_signHandler = nil 
	Notify.unregister(self.m_activityHandler)
	self.m_activityHandler = nil 
	Notify.unregister(self.m_activityCenterHandler)
	self.m_activityCenterHandler = nil 
	Notify.unregister(self.m_partyTipHandler)
	self.m_partyTipHandler = nil 
	Notify.unregister(self.m_dayPayHandler)
	self.m_dayPayHandler = nil 
	Notify.unregister(self.m_equipHandler)
	self.m_equipHandler = nil 
	Notify.unregister(self.m_treasureHandler)
	self.m_treasureHandler = nil 
	Notify.unregister(self.m_fightHandler)
	self.m_fightHandler = nil 
	Notify.unregister(self.m_vipExperienceHandler)
	self.m_vipExperienceHandler = nil 
	Notify.unregister(self.m_rechargeHandler)
	self.m_rechargeHandler = nil
	Notify.unregister(self.m_medalOpenHandler)
	self.m_medalOpenHandler = nil

	-- armature_remove("animation/effect/ui_btn_activity_first.pvr.ccz", "animation/effect/ui_btn_activity_first.plist", "animation/effect/ui_btn_activity_first.xml")
	-- armature_remove("animation/effect/ui_btn_activity_hot.pvr.ccz", "animation/effect/ui_btn_activity_hot.plist", "animation/effect/ui_btn_activity_hot.xml")
	-- armature_remove("animation/effect/ui_btn_activity_login.pvr.ccz", "animation/effect/ui_btn_activity_login.plist", "animation/effect/ui_btn_activity_login.xml")
	-- armature_remove("animation/effect/ui_btn_activity_daily.pvr.ccz", "animation/effect/ui_btn_activity_daily.plist", "animation/effect/ui_btn_activity_daily.xml")
	-- armature_remove("animation/effect/ui_btn_activity_daily_recharge.pvr.ccz", "animation/effect/ui_btn_activity_daily_recharge.plist", "animation/effect/ui_btn_activity_daily_recharge.xml")
	armature_remove("animation/effect/shouchong_jiangli_output.pvr.ccz", "animation/effect/shouchong_jiangli_output.plist", "animation/effect/shouchong_jiangli_output.xml")
	armature_remove("animation/effect/zhanlibaozeng_output.pvr.ccz", "animation/effect/zhanlibaozeng_output.plist", "animation/effect/zhanlibaozeng_output.xml")
	armature_remove("animation/effect/xiaoniu.pvr.ccz", "animation/effect/xiaoniu.plist", "animation/effect/xiaoniu.xml")
end

function HomeActivityButtonView:updateTip()
	-- 探宝
	local luckCoinCount = LotteryMO.LotteryTreasureFree_
	if luckCoinCount > 0 then
		UiUtil.showTip(self.m_buttons[AWARD_BUTTON_INDEX_LOGIN], luckCoinCount, 50, 50)
	else
		UiUtil.unshowTip(self.m_buttons[AWARD_BUTTON_INDEX_LOGIN])
	end

	--抽装备
	local freeTimes = LotteryBO.getFreeTimes()
	if freeTimes > 0 then
		UiUtil.showTip(self.m_buttons[AWARD_BUTTON_INDEX_DAYPAY], freeTimes, 50, 50)
	else
		UiUtil.unshowTip(self.m_buttons[AWARD_BUTTON_INDEX_DAYPAY])
	end

	-- --登录奖励
	-- local count = 0
	-- if not SignMO.dailyLogin_.display then
	-- 	count = SignBO.getAwardCount()
	-- 	if count > 0 then
	-- 		UiUtil.showTip(self.m_buttons[AWARD_BUTTON_INDEX_LOGIN], count, 50, 50)
	-- 	else
	-- 		UiUtil.unshowTip(self.m_buttons[AWARD_BUTTON_INDEX_LOGIN])
	-- 	end
	-- end

	local function getLimitTipNum()
		local num = 0
		for index = 1, #ActivityCenterMO.activityLimitList_ do
			local activity = ActivityCenterMO.activityLimitList_[index]
			if activity.activity == ACTIVITY_ID_BOSS then
				if ActivityCenterMO.isBossOpen_ and UserMO.level_ >= ACTIVITY_BOSS_OPEN_LEVEL then -- 世界BOSS开启
					local status, cdTime = ActivityCenterBO.getBossStatus()
					if status == ACTIVITY_BOSS_STATE_READY or status == ACTIVITY_BOSS_STATE_FIGHTING then  -- 世界BOSS状态
						num = 1
					end
				end
			end
		end
		return num
	end

	--限时活动
	local activiteCount = #ActivityCenterMO.activityList_ + getLimitTipNum()
	if not ActivityCenterMO.showTip and activiteCount > 0 then
		UiUtil.showTip(self.m_buttons[AWARD_BUTTON_INDEX_ACTIVITY], activiteCount, 50, 50)
	else
		UiUtil.unshowTip(self.m_buttons[AWARD_BUTTON_INDEX_ACTIVITY])
	end

	-- 日常
	local activityNum = 0

	local activityList = ActivityBO.getShowList()

	if ActivityMO.clickView_ then
		for index = 1, #activityList do
			local activity = activityList[index]
			activityNum = activityNum + ActivityBO.getUnReceiveNum(activity.activityId)
		end

		if not SignMO.dailyLogin_.display then  -- 开服礼包
			activityNum = activityNum + SignBO.getCanAwardCount()
		end

	else
		activityNum = #activityList

		if not SignMO.dailyLogin_.display then  -- 开服礼包
			activityNum = activityNum + 1
		end

		-- if ActivityBO.isPayFirstOpen() then  -- 如果首充开启，还得额外增加一个活动
		-- 	activityNum = activityNum + 1
		-- end
	end

	-- 日常活动
	if activityNum > 0 then
		UiUtil.showTip(self.m_buttons[AWARD_BUTTON_INDEX_DAILY], activityNum, 50, 50)
	else
		UiUtil.unshowTip(self.m_buttons[AWARD_BUTTON_INDEX_DAILY])
	end

	--军团tip
	if UserMO.partyTipAward_ and UserMO.partyTipAward_ == 1 then
		UiUtil.showTip(self.m_buttons[AWARD_BUTTON_INDEX_PARTYTIP], 1, 50, 50)
	else
		UiUtil.unshowTip(self.m_buttons[AWARD_BUTTON_INDEX_PARTYTIP])
	end

	-- --每日充值
	-- if ActivityCenterMO.dayPayData.state and ActivityCenterMO.dayPayData.state == 1 then
	-- 	UiUtil.showTip(self.m_buttons[AWARD_BUTTON_INDEX_DAYPAY], 1, 50, 50)
	-- else
	-- 	UiUtil.unshowTip(self.m_buttons[AWARD_BUTTON_INDEX_DAYPAY])
	-- end

	if UserBO.fightAddValue and UserBO.fightAddValue.isReceived == true and self.m_buttons[AWARD_BUTTON_INDEX_FIGHT] then
		self.m_buttons[AWARD_BUTTON_INDEX_FIGHT]:removeSelf()
		self.m_buttons[AWARD_BUTTON_INDEX_FIGHT] = nil

		self:addExperienceVipBtn()
	end

	if UserBO.hasExerienceVip and UserBO.hasExerienceVip.status == true and self.m_buttons[AWARD_BUTTON_INDEX_VIP] then
		if UserBO.hasExerienceVip.timeRemaining - ManagerTimer.getTime() <= 0 then
			self.m_buttons[AWARD_BUTTON_INDEX_VIP]:removeSelf()
			self.m_buttons[AWARD_BUTTON_INDEX_VIP] = nil
		end
	end

end

return HomeActivityButtonView
